Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile
Class MixedProfileIdentity

    java.lang.Object
      com.bea.p13n.usermgmt.profile.ProfileIdentity
          com.bea.p13n.usermgmt.profile.MixedProfileIdentity

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  CustomProfileIdentity

    public class MixedProfileIdentity

extends ProfileIdentity
implements Serializable

Lightweight object to represent a profile's identity. This will contain some combination of principal (username) and custom identity. A custom identity is an application-defined entity name. If both are provided, the profile may be used to provide successor values from a non-principal entity.

See Also
  `ProfileWrapper`, Serialized Form

Field Summary
`protected String` | `primaryEntity` the primary entity of the profile
`protected String` | `secondaryEntity` the secondary custom entity of the profile which can be used as a successor

Method Summary
`boolean` | `equals(Object other)`
`String` | `getPrimaryEntity()` retrieve the primary entity (principal or custom)
`ProfileType` | `getProfileType()` Determine whether this user is anonymous, tracked, or registered
`String` | `getSecondaryEntity()` retrieve the secondary entity (custom)
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class com.bea.p13n.usermgmt.profile.ProfileIdentity
`getGroupname, getUsername`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### primaryEntity

    protected String primaryEntity

  the primary entity of the profile

### secondaryEntity

    protected String secondaryEntity

  the secondary custom entity of the profile which can be used as a successor

Method Detail

### getProfileType

    public ProfileType getProfileType()

  Determine whether this user is anonymous, tracked, or registered

  Overrides:
    `getProfileType` in class `ProfileIdentity`
  Returns
    Returns ProfileType.REGISTERED if the user has registered and has a valid username. Returns ProfileType.ANONYMOUS if the user is anonymous. Anonymous users have no username or groupname. Returns ProfileType.TRACKED if the user is tracked. The username will actually be the trackingId on the AnonymousProfileWrapper or TrackedProfileWrapper.
  See Also
    `ProfileType`

### getPrimaryEntity

    public String getPrimaryEntity()

  retrieve the primary entity (principal or custom)

### getSecondaryEntity

    public String getSecondaryEntity()

  retrieve the secondary entity (custom)

### toString

    public String toString()

  Overrides:
    `toString` in class `ProfileIdentity`
  Returns
    a string representation

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ProfileIdentity`
  Returns
    a hashCode based on the string representation

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `ProfileIdentity`
  Returns
    true if the argument is a MixedProfileIdentity that is equal to this one

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved